- Qt 6.4
- Qt Positioning
- QML Types
- geopolygon
- Qt 6.4.2 Reference Documentation

# geopolygon QML Basic Type

The geopolygon type represents a geographic polygon. More...

The `geopolygon` type is a geoshape that represents a geographic polygon. It is a direct representation of QGeoPolygon and is defined in terms of a path which holds a list of geo coordinates in the polygon.

The polygon is considered invalid if its path holds less than three coordinates.

When integrating with C++, note that any QGeoPolygon value passed into QML is automatically converted into a `geopolygon`, and vice versa.

## Properties

### path

This property holds the list of coordinates defining the polygon.